gr::lte::pbch_descrambler_vfvf_impl Class Reference

`#include <pbch_descrambler_vfvf_impl.h>`

Inheritance diagram for gr::lte::pbch_descrambler_vfvf_impl:
[legend]

## Public Member Functions

| pbch_descrambler_vfvf_impl (std::string key)
| ~pbch_descrambler_vfvf_impl ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)
void | set_cell_id (int id)
void | set_cell_id_msg (pmt::pmt_t msg)
std::vector< int > | pn_sequence () const

## Static Public Member Functions

static char * | pn_seq_generator (int len, int cell_id)
Static Public Member Functions inherited from gr::lte::pbch_descrambler_vfvf
static sptr | make (std::string key)
| Return a shared_ptr to a new instance of lte::pbch_descrambler_vfvf.

## Additional Inherited Members

Public Types inherited from gr::lte::pbch_descrambler_vfvf
typedef boost::shared_ptr< pbch_descrambler_vfvf > | sptr

## Constructor & Destructor Documentation

## pbch_descrambler_vfvf_impl()

gr::lte::pbch_descrambler_vfvf_impl::pbch_descrambler_vfvf_impl | ( | std::string | key | ) |

## ~pbch_descrambler_vfvf_impl()

gr::lte::pbch_descrambler_vfvf_impl::~pbch_descrambler_vfvf_impl | ( |  | ) |

## Member Function Documentation

## pn_seq_generator()

static char * gr::lte::pbch_descrambler_vfvf_impl::pn_seq_generator | ( | int | len,
|  | int | cell_id )

static

## pn_sequence()

std::vector< int > gr::lte::pbch_descrambler_vfvf_impl::pn_sequence | ( |  | ) | const

virtual

Implements gr::lte::pbch_descrambler_vfvf.

## set_cell_id()

void gr::lte::pbch_descrambler_vfvf_impl::set_cell_id | ( | int | id | ) |

virtual

Implements gr::lte::pbch_descrambler_vfvf.

## set_cell_id_msg()

void gr::lte::pbch_descrambler_vfvf_impl::set_cell_id_msg | ( | pmt::pmt_t | msg | ) |

## work()

int gr::lte::pbch_descrambler_vfvf_impl::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items )

The documentation for this class was generated from the following file:

- pbch_descrambler_vfvf_impl.h